(function() {

    //https://stackoverflow.com/a/55590238/419294
    //adds forEach support for IE11 to both Array and NodeList
    if (typeof Array.prototype.forEach != 'function') {
        Array.prototype.forEach = function(callback) {
            for (var i = 0; i < this.length; i++) {
                callback.apply(this, [this[i], i, this]);
            }
        };
    }

    if (window.NodeList && !NodeList.prototype.forEach) {
        NodeList.prototype.forEach = Array.prototype.forEach;
    }
    //trigger config init on SiteVision.setValues  
    window.setValues = function(values) {

        //workaround for SV-27946
        if (values.assetConfig && typeof(values.assetConfig) === "object") {
            values.assetConfig = JSON.stringify(values.assetConfig);
        }
        //First set the values
        window._setValues(values);
        var loader = new ImageVault.ConfigLoaderUI();
        //then init the UI.
        loader.init(values);
    }


}());